<?php
/**********************************************************************
***********************************************************************/

                
class manufacturing_app extends application
{
    function __construct()
    {
        parent::__construct("manuf", _($this->help_context = "&Manufacturing"));

        $this->add_module(_("Transactions"));

        
        $this->add_lapp_function(0, _("&Manufacturing Requests"), "manufacturing/manufacturing_requests.php?", 'SA_RETURN_MANUFACTURED_ITEMS', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("Work &Order Entry"), "manufacturing/work_order_entry.php?", 'SA_WORKORDERENTRY', MENU_TRANSACTION);
    
        $this->add_lapp_function(0, "","");
        $this->add_lapp_function(0, _("&Issue Raw Material to Production Floor"), "manufacturing/raw_material_issue.php?NewIssue=0", 'SA_RAW_MATERIAL_ISSUE', MENU_TRANSACTION);    
        $this->add_lapp_function(0, _("&Add Bulk Manufactured Items to Inventory"), "manufacturing/production_receipts.php?", 'SA_RECEIVE_MANUFACTURED_ITEMS', MENU_TRANSACTION);
        
//        $this->add_lapp_function(0, _("&Return Raw Materials from Production Floor"), "manufacturing/raw_material_returns.php?", 'SA_RAW_MATERIAL_RETURN', MENU_TRANSACTION);    
        $this->add_lapp_function(0, _("&Return Bulk Manufactured Items from Inventory"), "manufacturing/production_returns.php?", 'SA_RETURN_MANUFACTURED_ITEMS', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Job Cost Additions"), "manufacturing/job_cost_additions.php?", 'SA_RETURN_MANUFACTURED_ITEMS', MENU_TRANSACTION);
        $this->add_lapp_function(0, _("&Job Cost Deductions"), "manufacturing/job_cost_deductions.php?", 'SA_RETURN_MANUFACTURED_ITEMS', MENU_TRANSACTION);
        
		$this->add_rapp_function(0, _("&Outstanding Work Orders"), "manufacturing/search_work_orders.php?outstanding_only=1", 'SA_WORK_ORDER_INQ', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Approve Work Orders"), "manufacturing/inquiry/approve_work_orders_search.php?", 'SA_WORK_ORDER_INQ', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Manufacturing Requirements"), "manufacturing/manufacturing_requirements.php?", 'SA_MANUF_REQUIREMENTS', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Generate Production Schedule"), "manufacturing/production_schedule.php?", 'SA_GENERATE_PRODUCTION_SCHEDULE', MENU_TRANSACTION);
        $this->add_rapp_function(0, _("&Confirm Production Schedule"), "manufacturing/confirm_production_schedule.php?", 'SA_CONFIRM_PRODUCTION_SCHEDULE', MENU_TRANSACTION);

                
		$this->add_module(_("Inquiries and Reports"));
        $this->add_lapp_function(1, _("Manufacturing Requests &Inquiry"), "manufacturing/inquiry/manufacturing_request_inquiry.php?", 'SA_MANUF_REQUESTS_INQ', MENU_INQUIRY);
		$this->add_lapp_function(1, _("Work Order &Inquiry"), "manufacturing/search_work_orders.php?", 'SA_MANUF_REQUESTS_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Manufacturing Transaction Inquiry"), "manufacturing/inquiry/manufacturing_transactions_inquiry.php?", 'SA_MANUF_TRANS_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Manufacturing Order Booking &Inquiry"), "manufacturing/inquiry/manuf_order_booking_inquiry.php?", 'SA_MANUF_ORDER_BOOKING_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("Manufacturing Labour Booking &Inquiry"), "manufacturing/inquiry/manuf_order_booking_inquiry_labour.php?", 'SA_MANUF_LABOUR_BOOKING_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("&Raw Material Issue Inquiry"), "manufacturing/inquiry/raw_material_issue_inquiry.php?", 'SA_MANUF_LABOUR_BOOKING_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("&Raw Material Return Inquiry"), "manufacturing/inquiry/raw_material_return_inquiry.php?", 'SA_MANUF_LABOUR_BOOKING_INQ', MENU_INQUIRY);
        $this->add_lapp_function(1, _("&Job Cost Adjustments Inquiry"), "manufacturing/inquiry/job_cost_adjustments_inquiry.php?", 'SA_MANUF_LABOUR_BOOKING_INQ', MENU_INQUIRY);
        
        
        $this->add_rapp_function(1, _("Costed Bill Of Material Inquiry"), "manufacturing/inquiry/bom_cost_inquiry.php?", 'SA_BOM_COST_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, _("Inventory Item Where Used &Inquiry"), "manufacturing/inquiry/where_used_inquiry.php?", 'SA_MANUF_WHERE_USED_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, _("Workcentre Schedule &Inquiry"), "manufacturing/inquiry/work_centre_shedule_inquiry.php?", 'SA_WORK_CENTER_SCHEDULE_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1, "","");
        $this->add_rapp_function(1, _("Job Cost Inquiry"), "manufacturing/inquiry/job_cost_inquiry.php?", 'SA_PROJECT_JOB_COST_INQ', MENU_INQUIRY);
        $this->add_rapp_function(1,"","");     
	$this->add_rapp_function(1, _("Manufacturing &Reports"), "reporting/reports_main.php?Class=3".RC_MANUFACTURE, 'SA_MANUF_ANALYTIC', MENU_REPORT);

		$this->add_module(_("Maintenance"));
//		$this->add_lapp_function(2, _("&Bills Of Material"),
//			"manufacturing/manage/bom_edit.php?", 'SA_BOM', MENU_ENTRY);
        $this->add_lapp_function(2, _("&BOM"), "manufacturing/manage/bom.php?", 'SA_MANUF_BOM', MENU_ENTRY);
        $this->add_lapp_function(2, _("&Copy BOM"), "manufacturing/manage/copy_bom.php?", 'SA_COPY_MANUF_BOM', MENU_ENTRY);
        $this->add_lapp_function(2, _('&Project Jobs'),"projects/manage/project_sites.php?", 'SA_PROJECT_JOBS', MENU_ENTRY);
         
        $this->add_rapp_function(2, _("&Work Centres"), "manufacturing/manage/work_centres.php?", 'SA_WORKCENTRES', MENU_MAINTENANCE);
        $this->add_rapp_function(2, _("&Work Centre Shifts"), "manufacturing/manage/work_centre_shifts.php?", 'SA_WORK_CENTER_SHIFTS', MENU_MAINTENANCE);
		$this->add_extensions();
	}
}


?>